pvldiff ignore file paths values of Filename key

2015-03-06 04:41 PM - Ian Humphrey

Status: Acknowledged   

Priority: Normal   

Assignee: Kelvin Rodriguez   

Category: Infrastructure   

Target version: 3.5.0 (FY17 R2 2017-07-26 Jul)   

Impact: When writing app tests, no longer need

to use sed or ignore entire Filename key

with IgnoreKeys group in DIFF file.

Software Version:  

Description

When using pvldiff, it should be possible to ignore file paths except for the base file name.

For example:

Group ...

Filename = /usgs/cpkgs/isis3/testData/isis/src/base/apps/campt/tsts-

/default/input/ab102401.cub

...

pvldiff should be able to ignore /usgs/cpkgs/isis3/testData/isis/src/base/apps/campt/tsts/default/input/

Thus, pvldiff would essentially be comparing with the base file name, ab102401.cub, instead of the full path.

This is to prevent using an IgnoreKeys group that completely ignores the Filename key

and to prevent the overuse of sed.

History

#2 - 2015-05-11 12:23 PM - Tammy Becker

- Status changed from New to Acknowledged

#3 - 2016-06-24 05:38 PM - Kelvin Rodriguez

- Assignee changed from Ian Humphrey to Kelvin Rodriguez

#4 - 2016-06-27 02:49 PM - Kelvin Rodriguez

- Status changed from Acknowledged to In Progress

#5 - 2016-10-03 10:48 AM - Stuart Sides

- Target version set to FY17 Backlog

#6 - 2016-10-03 10:50 AM - Stuart Sides

- Status changed from In Progress to Acknowledged

#7 - 2016-12-23 10:23 AM - Stuart Sides

- Target version changed from FY17 Backlog to 3.5.0 (FY17 R2 2017-07-26 Jul)
